public static interface VertxKafkaEndpointBuilderFactory.VertxKafkaBuilders
| Modifier and Type | Method and Description |
|---|---|
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
vertxKafka(String path)
Vert.x Kafka (camel-vertx-kafka)
Sent and receive messages to/from an Apache Kafka broker using vert.x
Kafka client
Category: messaging
Since: 3.7
Maven coordinates: org.apache.camel:camel-vertx-kafka
Syntax:
vertx-kafka:topic
Path parameter: topic (required)
Name of the topic to use. |
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder |
vertxKafka(String componentName,
String path)
Vert.x Kafka (camel-vertx-kafka)
Sent and receive messages to/from an Apache Kafka broker using vert.x
Kafka client
Category: messaging
Since: 3.7
Maven coordinates: org.apache.camel:camel-vertx-kafka
Syntax:
vertx-kafka:topic
Path parameter: topic (required)
Name of the topic to use. |
default VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder vertxKafka(String path)
vertx-kafka:topic
Path parameter: topic (required)
Name of the topic to use. On the consumer you can use comma to
separate multiple topics. A producer can only send a message to a
single topic.path - topicdefault VertxKafkaEndpointBuilderFactory.VertxKafkaEndpointBuilder vertxKafka(String componentName, String path)
vertx-kafka:topic
Path parameter: topic (required)
Name of the topic to use. On the consumer you can use comma to
separate multiple topics. A producer can only send a message to a
single topic.componentName - to use a custom component name for the endpoint
instead of the default namepath - topicApache Camel